org.apache.sysds.runtime.compress.utils

## Class DCounts

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DCounts

    public class DCounts
    extends Object

### Field Summary

Fields
`int` `count`
`double` `key`

### Constructor Summary

Constructors
Constructor and Description
`DCounts(double key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `inc()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public double key

#### count

    public int count

### Constructor Detail

#### DCounts

    public DCounts(double key)

### Method Detail

#### inc

    public void inc()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`